%define full_name       jakarta-%{name}
%define section         free

Name:           regexp
Version:        1.5
Release:        3
Epoch:          0
Summary:        Simple regular expressions API
License:        Apache License
Group:          Development/Java
Url:            http://jakarta.apache.org/%{name}/
Source0:        http://www.apache.org/dist/jakarta/regexp/jakarta-regexp-%{version}.tar.gz
BuildRequires:  java-rpmbuild >= 0:1.6
Requires(pre):     jpackage-utils >= 0:1.6
Requires(postun):  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 1.6
Buildarch:      noarch


%description
Regexp is a 100% Pure Java Regular Expression package that was
graciously donated to the Apache Software Foundation by Jonathan Locke.
He originally wrote this software back in 1996 and it has stood up quite
well to the test of time.
It includes complete Javadoc documentation as well as a simple Applet
for visual debugging and testing suite for compatibility.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{full_name}-%{version}
%remove_java_binaries

%build
mkdir lib
export CLASSPATH=
export OPT_JAR_LIST=
%{ant} -Djakarta-site2.dir=. jar javadocs


%install

# jars
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 build/*.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -r docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
rm -rf docs/api
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# fix end-of-line
for i in `find %{buildroot}%{_javadocdir}/%{name}-%{version} -type f -name "*.html" -o -name "*.css"`; do
  %{__perl} -pi -e 's/\r\n/\n/g' $i
done

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%dir %{_javadocdir}/%{name}

%changelog

* Mon Jun 15 2015 Denis Silakov <denis.silakov@rosalab.ru> 0:1.5-3
- (6ca44f5) Rebuild with Java8


